PENTOBI(6)

NOMBRE
pentobi - rival virtual para el juego de mesa Blokus

SINOPSIS

pentobi [--maxlevel n] [--mobile] [--nobook] [--nodelay] [--seed n] [--threads n] [--verbose] [file.blksgf]

pentobi -h | --help

pentobi -v | --version

DESCRIPCIÓN

pentobi es el comando para invocar el programa Pentobi, que es una interfaz gráfica de usuario y un rival virtual para el juego de mesa Blokus.

El comando puede seleccionar el nombre de un archivo de partida para abrir al inicio como un argumento opcional. Es necesario que el archivo de partida esté en formato SGF de Pentobi tal y como se explica en Pentobi-SGF.md dentro del paquete de origen de Pentobi.

OPCIONES

-h, --help
    Mostrar ayuda y salir.

--maxlevel n
    Seleccione el nivel máximo de juego. Si reduce este valor se reduce también la cantidad de memoria utilizada para realizar la búsqueda, lo que puede resultar útil para jugar a Pentobi en sistemas que tengan poca memoria o que sean demasiado lentos cuando se seleccionan los niveles más altos. Por defecto, Pentobi actualmente asigna hasta un máximo de 2 GB (pero nunca más de un cuarto de la memoria física disponible en el sistema). Actualmente, al reducir el nivel máximo a 8 contribuye a reducir esta cantidad por un factor de 3 a 4 y a reducir los niveles máximos aún más.

--mobile
    Utiliza una configuración de ventana optimizada para móviles y aplica algunos cambios a la interfaz de usuario que implican que la pantalla táctil es el dispositivo principal de entrada. Si no se utiliza esta opción, la configuración por defecto depende de la plataforma. Utilizar esta opción también supone cambiar el estilo por defecto de los elementos GUI de QQuickControls 2 a los que vienen por defecto si el estilo no está explícitamente determinado con la opción -style.

--nobook
    No utilizar abrir libros.

--nodelay
    No ralentice los movimientos rápidos de la máquina. Por defecto, el jugador de la máquina añade un pequeño retraso si la generación del movimiento tarda menos de un segundo para así hacer más fácil al contrincante humano poder seguir la partida si la máquina realiza varios movimientos seguidos.

--seed n
    Seleccione el valor de inicialización para el generador aleatorio. Si usa un valor de inicialización fijo la generación de movimientos será determinista si no se utilizan subprocesos múltiples (consulte la opción --threads).

--threads n
    El número de subprocesos que se pueden utilizar en la búsqueda. Por defecto, se utilizan hasta un máximo de 8 subprocesos en la búsqueda dependiendo del número de subprocesos de hardware admitidos por el sistema actual. Usar más subprocesos supone acelerar la generación de movimientos aunque si se usan demasiados subprocesos (p. ej., más de 8) se puede reducir la habilidad del juego en los niveles de juego más altos.

--verbose
    Imprimir documentación interna relacionada con la generación de movimientos y otra información de depuración de errores típicos.

OPCIONES HABITUALES DE QT

Además, se puede usar cualquier opción compatible con las aplicaciones Qt, como:

-display d
    Los cambios se muestran en X11.

-geometry g
    Geometría de ventana utilizando la sintaxis de X11.

-style s
    Seleccione el estilo de los elementos GUI de QQuickControls.

-v, --version
    Mostrar versión y salir.

CONSULTE TAMBIÉN

pentobi-thumbnailer